Server version, engine, setup state and license status
GET
/v1/server-info
const url = 'https://example.com/v1/server-info';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/server-infoReturns the non-sensitive server facts: version, engine, whether first-run setup is still required, and the informational license status.
Authorizations
Section titled “Authorizations ”- None
Responses
Section titled “ Responses ”OK
Media type application/json
object
engine
required
string
license
object
licensee
string
plan
string
status
string
support_tier
string
protocol_currency
object
a2a_security_scheme_enforced
boolean
a2a_version
string
aaif_standards
Array<string>
agents_md_enforce_available
boolean
mcp_revision
string
mcp_revision_status
string
setup_required
required
boolean
version
required
string
Example generated
{ "engine": "example", "license": { "licensee": "example", "plan": "example", "status": "example", "support_tier": "example" }, "protocol_currency": { "a2a_security_scheme_enforced": true, "a2a_version": "example", "aaif_standards": [ "example" ], "agents_md_enforce_available": true, "mcp_revision": "example", "mcp_revision_status": "example" }, "setup_required": true, "version": "example"}Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}